*** Exercise 3.4 Rat-pups data

* 1.
use pups, clear
egen size = count(w), by(dam)

* 2.
egen mnw = mean(w), by(dam)

* 3.
twoway (scatter mnw size if dose==0,msymbol(square)) ///
(scatter mnw size if dose==1,msymbol(circle_hollow)) ///
(scatter mnw size if dose==2,msymbol(diamond)), ///
xtitle(Litter size) ytitle("Mean weight (g)") ///
legend(order(1 "Control" 2 "Low dose" 3 "High dose"))

* 4.
generate low = (dose==1)
generate high = (dose==2)
mixed w sex size low high || dam:, reml stddeviations dfmethod(kroger)

* 5.

* 6.
predict lev2, reffects
predict lev1, resid

egen pickone = tag(dam)
histogram lev1, normal

histogram lev2 if pickone==1, normal
