*** Exercise 4.6 Dialyzer data

* 1.
use dialyzer, clear
sort subject ufr
twoway (line ufr tmp, connect(ascending)), by(center) ///
   xtitle(Transmembrane pressure (mmHg)) ///
   ytitle(ultrafiltration rate (ml/hr))
   

* 2.

* 3.
mixed ufr i.center##c.tmp || subject: tmp, covariance(unstructured) stddeviations ///
   reml dfmethod(kroger)

* 4.
lincom 2.center#c.tmp-3.center#c.tmp

* 5.
twoway (function Center1 = _b[_cons]+_b[tmp]*x, range(100 500)) ///
   (function Center2 = _b[_cons]+_b[2.center]+(_b[tmp]+_b[2.center#c.tmp])*x, ///
     range(100 500)) ///
   (function Center3 = _b[_cons]+_b[3.center]+(_b[tmp]+_b[3.center#c.tmp])*x, ///
     range(100 500)), legend(rows(1)) xtitle(Transmembrane pressure (mmHg)) ///
	 ytitle(ultrafiltration rate (ml/hr))
 
* 6
predict subjline, fitted
twoway (line subjline tmp, sort) (scatter ufr tmp) if center==1, ///
   by(subject, legend(off) compact holes(1/3)) ///
   xtitle(Transmembrane pressure (mmHg)) ///
   ytitle(ultrafiltration rate (ml/hr))


