
*** Exercise 5.4 Unemployment-claims data

use ezunem, clear

* 1. xtset
xtset city year

* 2a. Fixed-intercept model
xtreg luclms d82-d88 ez, fe vce(robust)
* 2a. First-difference approach
regress D1.luclms D1.(d82-d88) D1.ez, vce(robust)

**** Lagged-response models

* 3. Lagged response model
regress luclms d82-d88 ez L.luclms, vce(robust) 

* 4a. Naive lagged response model with RE (ri)
mixed luclms d82-d88 ez L.luclms || city:, mle vce(robust) 

* 4b. FD (Anderson-Hsiao with second lag as IV)
ivregress 2sls D1.luclms D1.(ez d82-d87) (L1D1.luclms = L2.luclms), vce(robust)

* 4c. FD (Anderson-Hsiao with lagged difference as IV) as in Papke
ivregress 2sls D1.luclms D1.(d82-d88) D1.ez (L1D1.luclms = L2D1.luclms), vce(robust)
xtivreg luclms d82-d88 ez (L.luclms = L2.luclms), fd vce(robust)










