*** Exercise 5.6 Cognitive-style data


* 1.
use cogstyle, clear
reshape long rf rc, i(subj) j(cue) string
reshape long r, i(subj cu) j(word) string

* 2. 
tabulate word
encode word, generate(words)

tabulate cue
encode cue, generate(cues)
recode cues 3=1 1=2 2=3

generate lnr = ln(r-134) 

* 3.
graph box lnr,  over(cue) over(word) asyvars by(dep) legend(row(1))


* 4.
mixed lnr i.dependent i.words i.cues i.words#i.dependent ///
   i.cues#i.dependent i.words#i.cues i.words#i.cues#i.dependent ///
   || subj:, reml dfmethod(kroger) nolstretch
   
mixed lnr i.words##i.cues##i.dependent || subj:, reml ///
   dfmethod(kroger) nolstretch

* 5.
testparm words#cues#dependent

mixed lnr i.dependent i.words i.cues i.words#i.dependent ///
   i.cues#i.dependent i.words#i.cues  ///
   || subj:, reml dfmethod(kroger) nolstretch

mixed lnr i.words##i.dependent i.cues##i.dependent ///
   i.words##i.cues || subj:, reml dfmethod(kroger) nolstretch
   
* 6.
testparm words#cues
testparm cues#dependent
testparm words#dependent

mixed lnr i.dependent i.words i.cues i.words#i.cues  ///
   || subj:, reml dfmethod(kroger) nolstretch

* 7.
mixed lnr i.words i.cues i.words#i.cues || subj:, ///
   reml dfmethod(kroger) nolstretch

margins words#cues
marginsplot, xdim(cues)

