*** Exercise 6.5 Wages-and-fringe-benefits data

use fringe, clear

* 1.
mvreg hrearn hrbens = educ exper expersq tenure tenuresq union ///
   south nrtheast nrthcen married white male, corr

* 2.
sureg (hrearn educ exper expersq tenure tenuresq union ///
   south nrtheast nrthcen married white male) ///
      (hrbens educ exper expersq tenure tenuresq union ///
   south nrtheast nrthcen married white male), corr
   
* 3.
* 3a.
rename hrearn y1
rename hrbens y2
generate id = _n

reshape long y, i(id) j(variable)

* 3b.
tabulate variable, gen(v)
rename v1 e_
rename v2 f_

* 3c.
foreach var of varlist educ exper expersq tenure tenuresq union ///
   south nrtheast nrthcen married white male {
        generate e_`var' = e_*`var'
        generate f_`var' = f_*`var'
}

* 3d.
mixed y e_* f_*, nocons || id:, nocons residuals(unstructured, t(variable)) ///
    mle stddeviations

* 4.


* 5.
testparm e_male f_male

* 6
testparm e_south f_south e_nrtheast f_nrtheast e_nrthcen f_nrthcen
