*** Exercise 7.3 Jaw-growth data

* 1.
use growth, clear
generate girl = sex-1
generate age_girl = age*girl

mixed measure age girl age_girl || idnr: age, covariance(unstructured) reml
estimates store rcoef

mixed measure age girl age_girl || idnr: ,  reml
estimates store rint

lrtest rcoef rint

display 0.5*chi2tail(1,r(chi2)) + 0.5*chi2tail(2,r(chi2))

* 2.
generate boy = 1 - girl
mixed measure age girl age_girl || idnr: girl, nocons || idnr: boy, nocons  reml
estimates store rint2

lrtest rint rint2

* 3.
mixed measure age girl age_girl || idnr: ,  residuals(indep, by(boy)) reml
estimates store rint3

lrtest rint rint3

* 4.
predict traj, fitted
label define g 0 "Boy" 1 "Girl", modify
label values girl g

sort indiv age
graph twoway (line traj age, connect(ascending)), by(girl)

graph twoway (line measure age, connect(ascending)), by(girl)

