*** Exercise 8.11 Peak-expiratory-flow data

* 1.

* 2.
use pefr, clear
reshape long wm wp, i(id) j(occasion) 
generate i = _n 
reshape long w, i(i) j(meth) string 
drop i

encode meth, generate(method) 
recode method 2=0

generate wm = method
generate wp = 1 - method

mixed w || id: wm wp, noconstant covariance(exchangeable) reml dfmethod(kroger)
estimates store mod1

* 3.
mixed w || id: wm wp, noconstant covariance(unstructured) reml dfmethod(kroger)
estimates store mod2
lrtest mod1 mod2

display 12227.3/(12227.3 + 315.3699)
display  13604.95 /(13604.95  + 315.3699)


* 4.

* 5.
mixed w || id: wm wp, noconstant covariance(unstructured) ///
   residuals(independent, by(wp)) reml dfmethod(kroger)
   
lrtest mod2 .

display 12186.93/(12186.93 + 396.4412 )
display 13645.67/(13645.67 + 234.2942 )

sort id wm
list id wm wp if id==1, noobs
estat wcorrelation, at(id=1)