*** Exercise 8.6 STAR data I

use star1, clear

* 1.

keep if grade==0

* 2.
egen pick_class = tag(schid class)
egen numclass = total(pick_class), by(schid)
egen pick_school = tag(schid)

tabulate numclass if pick_school==1

* 3.
recode classt 2=0 3=0, generate(small)
egen num2 = count(stdntid), by(schid class)
by small, sort: summ num2 if pick_class==1

table small if pick_class==1, statistic(min num2) statistic(mean num2) ///
   statistic(max num2) nototal


/* Stata 16 and earlier
table small if pick_class==1, contents(min num2 mean num2 max num2)
*/

* 4.
mixed tmaths || schid: || class:, mle vce(robust)

* 5.
mixed tmaths i.classt || schid: || class:, mle vce(robust)

* 6.
mixed tmaths i.classt i.schid || class:, mle vce(robust)

