*** Exercise 8.7 STAR data II

use star1, clear

* 1.
egen change = sd(schid), by(stdntid)
egen numobs = count(grade), by(stdntid)
replace change = 0 if numobs==1

egen pick_child = tag(stdntid)
replace change = change>0
tabulate change if pick_child==1

* 2.
drop if school~=schid

* 3.
xtset stdntid grade
xtdescribe if tmaths<.

* 4.
mixed tmaths || schid: || stdntid:, mle

* 5.
* 5a.
* 5b.
mixed tmaths grade || schid: grade, covariance(unstructured)   ///
   || stdntid: grade, covariance(unstructured) mle vce(robust)
* 5c.

* 6.
mixed tmaths grade i.classt frlnch i.freelu i.gender             ///
   || schid: grade, covariance(unstructured)                     ///
   || stdntid: grade, covariance(unstructured) mle vce(robust)
   
* 7.
mixed tmaths c.grade##i.classt frlnch i.freelu i.gender ///
   || schid: grade, covariance(unstructured)              ///
   || stdntid: grade, covariance(unstructured) mle vce(robust)
   
   
testparm c.grade#i.classt

   
