*** Exercise 9.10 STAR data

use star_mm, clear

* 1.
egen total = rowtotal(wttr1-wttr30)
summarize total
sort schid stdntid
list wttr1-wttr9 in 1/30, sepby(schid) noobs

* 2.
mixed reading || schid: || schid: wttr1-wttr30, noconstant ///
   covariance(identity) reml
estimates store mm1

* 3.
estat sd

* 4.
* 4a.
egen tot = rowtotal(gr0wttr1-gr0wttr8)
summarize tot
drop tot
egen tot = rowtotal(gr1wttr1-gr1wttr12)
summarize tot
drop tot
egen tot = rowtotal(gr2wttr1-gr2wttr11)
summarize tot
drop tot

* 4b.
mixed reading || schid: || schid: gr0wttr1-gr0wttr8, ///
   noconstant covariance(identity) ///
   || schid: gr1wttr1-gr1wttr12, nocons covariance(identity) ///
   || schid: gr2wttr1-gr2wttr11, nocons covariance(identity) reml
estimates store mm2 


* 4c.
estat sd


* 4d.
lrtest mm1 mm2

* 4e.
mixed reading || schid: ///
   || schid: gr1wttr1-gr1wttr12, noconstant covariance(identity) ///
   || schid: gr2wttr1-gr2wttr11, noconstant covariance(identity) reml
estimates store mm3
lrtest mm2 mm3

mixed reading || schid: ///
   || schid: gr2wttr1-gr2wttr11, noconstant covariance(identity) reml
lrtest mm3 .

