*** Exercise 9.5 Neighborhood-effects data


* 1.
use neighborhood, clear

egen pickn = tag(neighid)
summarize pickn
display r(sum)

egen picks = tag(schid)
summarize picks
display r(sum)

mixed attain || _all: R.schid || neighid:, reml

* 2.
estimates store model1

mixed attain || _all: R.schid || neighid: || schid:, reml
estimates store model2
lrtest model1 model2

* 3.
mixed attain deprive || _all: R.schid || neighid: || schid:, reml

* 4.
mixed attain deprive p7vrq p7read dadocc dadunemp ///
   daded momed male || _all: R.schid || neighid:, reml

* 5.

* 5a.
display .0038204/(.0038204+.0043361+.4569292)

* 5b.
display .0043361/(.0038204+.0043361+.4569292)

* 5c.
display (.0038204+.0043361)/(.0038204+.0043361+.4569292)

* 6.
supclust neighid schid, generate(region)
sort region schid
tabulate schid if region==1
tabulate schid if region==2

