*** Exercise 9.9 Cigarette consumption


use cigar, clear


* 1. 
generate rprice=price*100/CPI
generate rpimin=pimin*100/CPI
generate rNDI=NDI*100/CPI


generate lnrprice = ln(rprice)
generate lnrpimin = ln(rpimin)
generate lnc = ln(c)
generate lnri = ln(rNDI)

* 2.
mixed lnc lnrprice lnri lnrpimin year || _all: R.year ///
   || state:, reml
estimates store mod1

* 3.
* longitudinal correlations
display .0239369/(.0010579+.0239369+.0056655)

* cross-sectional correlations
display .0010579/(.0010579+.0239369+.0056655)

* 4.
mixed lnc lnrprice lnri lnrpimin year || _all: R.year ///
   || state:,  residuals(ar 1, t(year)) reml
   
* 5.
estimates store mod2
lrtest mod1 mod2

* 6.
mixed lnc lnrprice lnri lnrpimin year || _all: R.year ///
   || state:, noconstant residuals(ar 1, t(year)) reml
estimates store mod3
lrtest mod2 mod3


mixed lnc lnrprice lnri lnrpimin year ///
   || state:, noconstant residuals(ar 1, t(year)) reml
estimates store mod4
lrtest mod3 mod4

* 7.
* lag 1
display .0370157 *.983067/(.0370157 +.0003155)

* lag 29
display .0370157*.983067^29/(.0370157 +.0003155)

keep if year==63|year==64|year==92
estat wcorrelation