***Exercise 1.3 Smoking and birthweight data

* 1. 
use smoking, clear
keep  if idx==1

* 2.
generate education = hsgrad + 2*somecoll + 3*collgrad

* 3.

table (male black smoke) education, statistic(mean birwt) statistic(sd birwt) nototal

* table smoke education, contents(mean birwt sd birwt) by(male black) // Stata 16 and earlier

* 4.
graph box birwt, over(education) over(black) over(smoke) by(male) asyvars ///
   nooutsides

count if black ==1 & male ==1 & smok ==1 & somecoll==1


* 5.
regress birwt smoke

* 6.
regress birwt smoke mage male black hsgrad somecoll collgrad

* 7.

* 8.

* 9.
* Stata 10 and earlier: adjust male=0 black=0 mage, by(smoke education)

regress birwt i.smoke mage male black i.education
margins smoke#education, at(male=0 black=0 mage) nolstretch



* 10
generate male_black = male*black

regress birwt smoke mage male black male_black hsgrad somecoll collgrad
