***Exercise 2.1 Peak-expiratory-flow data

* 1.
use pefr, clear
reshape long wp wm, i(id) j(occasion)
mixed wp || id:, reml stddeviations

* 2.

* 3.
predict wppred, reffects reses(wpse)
quietly mixed wm || id:, reml
predict wmpred, reffects reses(wmse)
twoway (scatter wppred wmpred if occasion==1)  ///
  (lfit wppred wmpred if occasion==1)          ///
  (function y=x, range(-200 200)),             ///
  xtitle(Mini Wright meter preditions)         ///
  ytitle(Wright peak flow predictions)         ///
  legend(order(2 "least squares line" 3 "y=x line"))

* 4.
list wmse wpse in 1, noobs

