***Exercise 2.2 General-health-questionnaire data

* 1.
infile id g1 g2 using ghq.txt, clear
reshape long g, i(id) j(occasion)
mixed g || id:, reml stddeviations

* 2.
* Max. "likelihood"
predict pred, xb
generate res = g - pred
egen ml = mean(res), by(id)

* EB
predict eb, reffects

sort id
list id eb ml if occasion==1, clean
twoway (scatter eb ml if occasion==1) (function y=x, range(-8 15)), ///
  xtitle(Maximum 'likelihood' estimates) ytitle(EB predictions)

* 3.
generate second = occasion - 1
mixed g second || id:, reml stddeviations

