*** Exercise 3.2 Grade-point-average data

* 1.
use gpa, clear
reshape long gpa job, i(student) j(time)

* 2.
generate male = (sex==1)
mixed gpa time highgpa job male || student:, mle stddeviations vce(robust)

* 3.

* linearity for job
tabulate job, generate(j)
mixed gpa time highgpa j2 j3 male || student:, mle stddeviations vce(robust)
test j3=2*j2

* linearity for highgpa
generate highgpa2= highgpa^2
mixed gpa time highgpa highgpa2 job male || student:, mle stddeviations vce(robust)
test highgpa2=0

* linearity of time
tabulate time, generate(t)
mixed gpa highgpa job male t2-t6 || student:, mle stddeviations vce(robust)
test (t3=2*t2) (t4=t3+t2) (t5=t4+t2) (t6=t5+t2) 

* 4.
generate highgpa_t = highgpa*time
generate male_t = male*time

mixed gpa time highgpa highgpa_t job male || student:, mle stddeviations vce(robust)
mixed gpa time highgpa job male male_t || student:, mle stddeviations vce(robust)

* 5.
quietly mixed gpa time highgpa job male male_t || student:, mle vce(robust)
predict eb, reffects
histogram eb if time==1, norm
