*** Exercise 3.3 Jaw-growth data

* 1.
use growth, clear
sort indiv age
generate girl = sex - 1
label def g 0 "Boy" 1 "Girl"
label values girl g

graph twoway (line measure age, connect(ascending)), by(girl)


* 2.
mixed measure age girl || idnr:, reml stddeviations dfmethod(kroger)

* 3.
generate age_girl = age*girl
mixed measure age girl age_girl || idnr:, reml stddeviations dfmethod(kroger)

* 4.
predict fixed, xb

graph twoway (line measure age, connect(ascending) lpattern(dash)) ///
  (line fixed age, sort lpattern(solid) lwidth(thick)), by(girl)
