***Exercise 4.5 Well-being in the U.S. army

* 1.
use army, clear
mixed wbeing hrs cohes lead || grp:, mle stddeviations vce(robust)

* 2.
egen mn_hrs = mean(hrs), by(grp)
egen mn_cohes = mean(cohes), by(grp)
egen mn_lead = mean(lead), by(grp)

mixed wbeing hrs mn_hrs cohes mn_cohes lead mn_lead || grp:, mle stddeviations ///
   vce(robust)

* 3.
mixed wbeing hrs mn_hrs cohes lead mn_lead || grp:, mle stddeviations vce(robust)

display .0968394^2/(.0968394^2+.8018748^2)
estat icc

* 4.
lincom hrs + mn_hrs
lincom lead + mn_lead

* 5.
estimates store ri
mixed wbeing hrs mn_hrs cohes lead mn_lead || grp: lead, ///
   covariance(unstructured) mle stddeviations vce(robust)
estimates store rc
lrtest ri rc, force

* 6
mixed wbeing hrs mn_hrs cohes lead mn_lead || grp: lead cohes, ///
    covariance(unstructured) mle stddeviations vce(robust)
lrtest rc ., force

* 7
estimates restore rc
predict slope inter, reffects
egen pickone = tag(grp)
histogram slope if pickone==1

histogram inter if pickone==1

predict resid, rstandard
histogram resid

