*** Exercise 4.7 Family-birthweight data

* 1.

use family, clear

tabulate member, generate(mem)

rename mem1 mother
rename mem2 father
rename mem3 child

* 2.

generate variable1 = mother + child/2

generate variable2 = father + child/2

generate variable3 = child/sqrt(2)

* 3.

* 4.

mixed bwt || family: variable1 variable2 variable3, ///
   covariance(identity) noconstant stddeviations vce(robust)

* 5.

display 323.0093^2/(323.0093^2+376.3245^2)

* 6.

xtmixed bwt male first midage highage birthyr ///
    || family: variable1 variable2 variable3, ///
    covariance(identity) noconstant stddeviations vce(robust)
    
* 7.

* 8.

display 315.2176^2/(315.2176^2+365.942^2)

