*** Exercise 5.2 Unemployment-claims data

use papke_did.dta, clear

* 1. Post-test only design with non-equivalent groups

* 1a. 
ttest luclms if year == 1984, by(ez)

* 1b.
regress luclms ez if year == 1984 

* 2. One-group pretest-posttest design
egen treatgr = max(ez), by(city) // ever in enterprize zone

* 2a.
reshape wide luclms ez, i(city) j(year)
ttest luclms1984=luclms1983 if treatgr==1
reshape long luclms ez, i(city) j(year)

* 2b. 
quietly xtset city
xtreg luclms ez if treatgr==1, fe

* 3.

** 4. Untreated control group design with dependent and pretest and posttest samples

* 4a. 
table year treatgr, statistic( mean luclm) nototal
display (11.14839-11.633739)-(11.063655-11.415663)
 
* 4b. 
quietly xtset city
xtreg luclms i.year ez, fe

