*** Exercise 5.5 Hours worked data

* 1.
use hours, clear

* 1a.
xtset id year
xtdescribe

* 1b.
xtsum lnhr lnwg kids ageh agesq disab


* 2.
xtreg lnhr lnwg kids ageh agesq disab, re 
estimates store ri


* 3.

* 3a.
xtreg lnhr lnwg kids ageh agesq disab, fe 
estimates store fi

* 3b.
regress D1.(lnhr lnwg kids ageh agesq disab)


* 4.
hausman fi ri


* 5.
egen m_lnhr = mean(lnhr), by(id)
egen m_lnwg = mean(lnwg), by(id)
egen m_kids = mean(kids), by(id)
egen m_ageh = mean(ageh), by(id)
egen m_agesq = mean(agesq), by(id)
egen m_disab = mean(disab), by(id)
generate dev_lnhr = lnhr - m_lnhr
generate dev_lnwg = lnwg - m_lnwg
generate dev_kids = kids - m_kids
generate dev_ageh = ageh - m_ageh
generate dev_agesq = agesq - m_agesq
generate dev_disab = disab - m_disab

 * robust se
xtreg lnhr dev_lnwg dev_kids dev_ageh dev_agesq dev_disab ///
   m_lnwg m_kids m_ageh m_agesq m_disab, re vce(robust)
   
test (dev_lnwg=m_lnwg) (dev_kids=m_kids) (dev_ageh=m_ageh) ///
     (dev_agesq=m_agesq) (dev_disab=m_disab)

	 
* 6.

* 6a.
ivregress 2sls D.lnhr D.(lnwg kids ageh agesq disab) ///
   (LD.lnhr = L2.lnhr), vce(cluster id) 
 
