** Exercise 6.4 Cigarette-consumption data

use cigar, clear

* 1. xtset 
xtset state year

* 2. Generate real prices and real income
generate rprice=price*100/CPI
generate rpimin=pimin*100/CPI
generate rNDI=NDI*100/CPI

* Generate log versions of cigarette consumption, prices and income 
generate lnrprice = ln(rprice)
generate lnrpimin = ln(rpimin)
generate lnc = ln(c)
generate lnri = ln(rNDI)

* 3.

* 3a. Pooled OLS with 
* SE's assuming totally uncorrelated data
regress lnc lnrprice lnri lnrpimin year
xtpcse lnc lnrprice lnri lnrpimin year, correlation(independent) independent nmk

* 3b. Pooled OLS with 
* SE's allowing cross-sectional correlation between states
xtpcse lnc lnrprice lnri lnrpimin year, correlation(independent) 

* 3c. Prais-Winston regression assuming longitudinal AR(1) with
* SE's allowing cross-sectional correlation between states 
xtpcse lnc lnrprice lnri lnrpimin year, correlation(ar1) 

* 3d. Pooled FGLS with flexible correlation across states 
* and an AR(1) process 
xtgls lnc lnrprice lnri lnrpimin year, panels(correlated) corr(ar1) 



