**** Exercise 6.6 Simulations

* 1.
clear
set seed 1231214
set obs 1000

matrix define R = (1,.5,.5\ .5, 1, .5 \ .5, .5, 1) 
matrix list R

matrix define s = (2,2,2)

drawnorm y1 y2 y3, sds(s) corr(R)

generate id = _n
reshape long y, i(id) j(time)

sort id time

* 2.

*  2a.
mixed y time || id:, nocons residuals(exchangeable) mle stddeviations
*  2b.
mixed y time || id:, nocons residuals(toeplitz 1, t(time)) mle stddeviations
*  2c.
mixed y time || id:, nocons residuals(ar 1, t(time)) mle stddeviations
*  2d.
regress y time, vce(cluster id)

* 3.

* 4.
generate rand = runiform()
by id (time): generate firsty = y[1]
drop if firsty>1 & rand<.8 & time>1

* 5.
xtdescribe, i(id) t(time)

* 6.
tabstat y, by(time) stats(mean n)

* 7.

*  7a.
mixed y time || id:, nocons residuals(exchangeable) mle stddeviations
*  7b.
mixed y time || id:, nocons residuals(toeplitz 1, t(time)) mle stddeviations
*  7c.
mixed y time || id:, nocons residuals(ar 1, t(time)) mle stddeviations
*  7d.
regress y time, vce(cluster id)

* 8.


* 9. 

clear
set seed 1231214
set obs 1000

matrix R = (1,.5,.25\ .5, 1, .5 \ .25, .5, 1) 
matrix list R

matrix s = (2,2,2)

drawnorm y1 y2 y3, sds(s) corr(R)

generate id = _n
reshape long y, i(id) j(time)
generate rand = runiform()

by id (time): generate firsty = y[1]
drop if firsty>1 & rand<.8 & time>1

xtdescribe, i(id) t(time)
tabstat y, by(time) stats(mean n)

mixed y time || id:, nocons residuals(ar 1, t(time)) mle stddeviations
mixed y time || id:, nocons residuals(exchangeable) mle stddeviations
mixed y time || id:, nocons residuals(toeplitz 1, t(time)) mle stddeviations


regress y time, vce(cluster id)

