*** Exercise 7.2 Children's growth data

* 1.
use asian, clear
generate age2 = age^2
generate girl = gender - 1

mixed weight age age2 girl || id: age, covariance(unstructured) mle vce(robust)

* 2.
predict slope inter, reffects


* 3

egen pickone = tag(id)

histogram inter if pickone==1, normal xtitle(EB predictions of intercepts)

histogram slope if pickone==1, normal xtitle(EB predictions of slopes)
predict res1, residuals

histogram res1, normal xtitle(EB predictions of level-1 residuals)

* 4.
predict fixed, xb

generate totres = weight - fixed

statsby ml_in=_b[_cons] ml_sl=_b[age], by(id) saving(mlest, replace): ///
   regress totres age
sort id
merge id using mlest
drop _merge 

label define g 1 "Boys" 2 "Girls"
label values gender g
twoway (scatter inter ml_in) (function y=x, range(-2 2)), ///
   by(gender, legend(off)) xtitle(ML estimate) ytitle(EB prediction) 

twoway (scatter slope ml_sl) (function y=x, range(-2.5 2.5)), ///
   by(gender, legend(off)) xtitle(ML estimate) ytitle(EB prediction)
