*** Exercise 7.5 Diffusion-of-innovations data

* 1.
infile state T TCon resp using data.cfk, clear

* 2.
mixed resp T TCon || state: T TCon, covariance(independent) mle vce(robust)

* 3.

* 4.

* 5.
estimates store full
mixed resp T TCon || state: , mle vce(robust)
estimates store restrict

lrtest full restrict, force

display .5*chi2tail(1,r(chi2)) + .25*chi2tail(2,r(chi2))

* 6.

* 7.
quietly mixed resp T TCon || state: , mle  // predict, reses does not work with robust SEs

predict lev2, reffects reses(compse) 

generate diagse = sqrt(exp(2*[lns1_1_1]_cons) - compse^2)
replace lev2 = lev2/diagse

predict lev1, rstandard

egen pick = tag(state)

histogram lev2 if pick, normal xtitle(Level-2 residuals)

histogram lev1, normal xtitle(Level-1 residuals)

