** 7.8

use ezunem, clear

* 1. 
generate lnuclms = ln(uclms)
mixed lnuclms ibn.year ez, noconstant || city: , reml dfmethod(kroger)
estimates store ri
estat icc

* 2.
egen mn_ez = mean(ez), by(city)
generate dev_ez = ez - mn_ez
mixed lnuclms ibn.year dev_ez mn_ez, noconstant || city:, reml dfmethod(kroger)

* 2a.
* 2b.
test dev_ez = mn_ez

* 3.
mixed lnuclms ibn.year ez, noconstant || city: t, covariance(unstructured) ///
   reml dfmethod(kroger)
estimates store rc

* 3a.
lrtest ri rc

* 3b.

estat sd, post coeflegend
display _b[1982.year]+3*_b[city:sd(t)]
display _b[1988.year]+9*_b[city:sd(t)]
estimates restore rc

* 3c


* 4.

mixed lnuclms ibn.year ez, noconstant || city: t, covariance(unstructured) ///
   residuals(ar 1, t(t)) reml dfmethod(kroger)
estimates store rc_ar1

* 4a.
* 4b.

lrtest rc_ar1 rc

mixed lnuclms ibn.year ez, noconstant || city: , residuals(ar 1, t(t)) ///
  reml dfmethod(kroger)
estimates store ri_ar1
lrtest ri_ar1 rc_ar1

display 0.5*chi2tail(1,r(chi2)) + 0.5*chi2tail(2,r(chi2))