*** Exercise 8.5 School effects data
 
use schooleffects, clear

* 1. 

generate time = year - 1 
 
mixed score time || school: || time:, mle vce(robust)
estimates store mod1
 
* 2.

mixed score time || school: time, covariance(unstructured) mle vce(robust)
estimates store mod2

* 3.

* 4.
* 4a.
* 4b.
mixed score time || school: time, covariance(unstructured) || time: , mle ///
vce(robust) stddeviations 
estimates store mod3

* 4c.
lrtest mod2 mod3, force    /* 3 better than 2 (divide p-value by 2) */
lrtest mod1 mod3, force    /* 3 better than 1 (divide p-value by 2) */

* 5
estimates restore mod3
predict eff, fitted
egen pick_schco = tag(school time)
sort school time
twoway (line eff time, connect(ascending)) if pick_schco==1, by(schden schgen)

